import request from '@/utils/request'

// 查询调压箱列表列表
export function listRegulatorBoxList(query) {
  return request({
    url: '/gas/regulatorBoxList/list',
    method: 'get',
    params: query
  })
}

// 查询调压箱列表详细
export function getRegulatorBoxList(id) {
  return request({
    url: '/gas/regulatorBoxList/' + id,
    method: 'get'
  })
}

// 新增调压箱列表
export function addRegulatorBoxList(data) {
  return request({
    url: '/gas/regulatorBoxList',
    method: 'post',
    data: data
  })
}

// 修改调压箱列表
export function updateRegulatorBoxList(data) {
  return request({
    url: '/gas/regulatorBoxList',
    method: 'put',
    data: data
  })
}

// 删除调压箱列表
export function delRegulatorBoxList(id) {
  return request({
    url: '/gas/regulatorBoxList/' + id,
    method: 'delete'
  })
}
